Subject: Re: [PATCH] net/bridge: Add missing in6_dev_put in br_validate_ipv6

From: Florian Westphal <[email-masked]>
Date: Fri, 3 Jul 2015 22:42:13 +0200

Julien Grall <[email-masked]> wrote:
> The commit efb6de9b4ba0092b2c55f6a52d16294a8a698edd "netfilter: bridge:
> forward IPv6 fragmented packets" introduced a new function
> br_validate_ipv6 which take a reference on the inet6 device. Although,
> the reference is not released at the end.
> 
> This will result to the impossibility to destroy any netdevice using
> ipv6 and bridge.
> 
> Spotted while trying to destroy a Xen guest on the upstream Linux:
> "unregister_netdevice: waiting for vif1.0 to become free. Usage count = 1"

Ugh :-/

I think it makes more sense to use __in6_dev_get() instead which doesn't
take a reference.